// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {
            "name": "API Support",
            "url": "http://anthrove.art/support",
            "email": "support@anthrove.art"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/user/{user_id}/source/{user_source_id}/key": {
            "get": {
                "description": "Gets a API Key.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "API Key"
                ],
                "summary": "Gets a API Key for a Specific user and their UserSource",
                "parameters": [
                    {
                        "type": "string",
                        "description": "User ID",
                        "name": "user_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "User Source ID",
                        "name": "user_user_id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "API Key",
                        "schema": {
                            "$ref": "#/definitions/api.Response-string"
                        }
                    }
                }
            },
            "post": {
                "description": "Saves a API Key.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "API Key"
                ],
                "summary": "Saves a API Key for a Specific user and their UserSource",
                "parameters": [
                    {
                        "type": "string",
                        "description": "User ID",
                        "name": "user_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "User Source ID",
                        "name": "user_user_id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "API Key",
                        "schema": {
                            "$ref": "#/definitions/api.Response-string"
                        }
                    }
                }
            },
            "delete": {
                "description": "Gets a API Key.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "API Key"
                ],
                "summary": "Gets a API Key for a Specific user and their UserSource",
                "parameters": [
                    {
                        "type": "string",
                        "description": "User ID",
                        "name": "user_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "User Source ID",
                        "name": "user_user_id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "204": {
                        "description": "No Content"
                    }
                }
            }
        }
    },
    "definitions": {
        "api.Meta": {
            "type": "object",
            "properties": {
                "status": {
                    "type": "string"
                },
                "status_message": {
                    "type": "string"
                }
            }
        },
        "api.Response-string": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "string"
                },
                "meta": {
                    "$ref": "#/definitions/api.Meta"
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "",
	BasePath:         "/api/v1",
	Schemes:          []string{},
	Title:            "Anthrove Otter Cage API",
	Description:      "This service handles the management of secrets",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
